PDA

View Full Version : upgrade to 4.2.1 crashes app build testing



worthlutz
22 Aug 2013, 1:06 PM
I upgraded my application to v4.2.1 and get the following error when trying to build:

...
[INF] -after-sass:
[INF]
[INF] slice:
[INF]
[INF] -before-slice:
[INF] [echo] Capture theme image to /media/shared/Sencha/projects/mapclick/mapclick-TEST/build/MapClick4/testing/theme-capture.png
[INF] Capturing theme image
[INF] loading page /media/shared/Sencha/projects/mapclick/mapclick-TEST/MapClick4/sass/example/theme.html
The widget undefined declares two bg with two different urls
== Unhandled Error ==
The widget undefined declares two bg with two different urls


phantomjs://webpage.evaluate():63 in err
phantomjs://webpage.evaluate():45
phantomjs://webpage.evaluate():68 in forEach
phantomjs://webpage.evaluate():32 in getSlices
phantomjs://webpage.evaluate():127
phantomjs://webpage.evaluate():68 in forEach
phantomjs://webpage.evaluate():88
file:////media/shared/Sencha/projects/mapclick/mapclick-TEST/ext/ext-dev.js:3335


[ERR]
[ERR] BUILD FAILED
[ERR] com.sencha.exceptions.ExProcess: phantomjs process exited with code 139
[ERR]
[ERR] Total time: 3 minutes 16 seconds
[ERR]
[ERR] BUILD FAILED
[ERR] com.sencha.exceptions.BasicException: com.sencha.exceptions.ExProcess: phantomjs process exited with code 139


...

The only change was the upgrade of extjs.

Any ideas on what I should do?

Worth Lutz

worthlutz
23 Aug 2013, 6:07 AM
It looks like I needed to upgrade Cmd as well.

Note to self: Use the LATEST versions!

Worth